---
apiVersion: v1
kind: PersistentVolume
metadata:
    name: portainer
    annotations:
        volume.alpha.kubernetes.io/storage-class: "generic"
    labels:
        io.portainer.kubernetes.application.stack: portainer
        app.kubernetes.io/name: portainer
        app.kubernetes.io/instance: portainer
        app.kubernetes.io/version: "ce-latest-ee-2.19.5"
spec:
    capacity:
        storage: 10Gi
    accessModes:
        - ReadWriteOnce
    storageClassName: generic
    local:
        path: {{ install_k3s.data_dir }}/storage/portainer
    nodeAffinity:
        required:
            nodeSelectorTerms:
                - matchExpressions:
                    - key: kubernetes.io/hostname
                      operator: In
                      values:
                        - "{{ install_k3s.portainer_hostname_target }}"
